Show / Hide Table of Contents

# Class CursesDriver

This is the Curses driver for the gui.cs/Terminal framework.

##### Inheritance

System.Object
ConsoleDriver
CursesDriver

##### Inherited Members

ConsoleDriver.Clip

###### Namespace: Terminal

###### Assembly: Terminal.dll

##### Syntax

    public class CursesDriver : Terminal.ConsoleDriver

### Constructors

#### CursesDriver()

##### Declaration

    public CursesDriver ();

### Fields

#### window

##### Declaration

    public Unix.Terminal.Curses.Window window;

##### Field Value

Type | Description
--- | ---
| To be added.

### Properties

#### Cols

##### Declaration

    public override int Cols { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 | To be added.

#### Rows

##### Declaration

    public override int Rows { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 | To be added.

### Methods

#### AddCh(Int32)

##### Declaration

    public override void AddCh (int ch);

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | ch | To be added.

#### AddSpecial(SpecialChar)

##### Declaration

    public override void AddSpecial (Terminal.SpecialChar ch);

##### Parameters

Type | Name | Description
--- | --- | ---
SpecialChar | ch | To be added.

#### AddStr(String)

##### Declaration

    public override void AddStr (string str);

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str | To be added.

#### DrawFrame(Rect, Boolean)

##### Declaration

    public override void DrawFrame (Terminal.Rect region, bool fill);

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | region | To be added.
System.Boolean | fill | To be added.

#### End()

##### Declaration

    public override void End ();

#### Init(Action)

##### Declaration

    public override void Init (Action terminalResized);

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action | terminalResized | To be added.

#### Move(Int32, Int32)

##### Declaration

    public override void Move (int col, int row);

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | col | To be added.
System.Int32 | row | To be added.

#### PrepareToRun(MainLoop, Action<KeyEvent>, Action<MouseEvent>)

##### Declaration

    public override void PrepareToRun (Mono.Terminal.MainLoop mainLoop, Action<Terminal.KeyEvent> keyHandler, Action<Terminal.MouseEvent> mouseHandler);

##### Parameters

Type | Name | Description
--- | --- | ---
MainLoop | mainLoop | To be added.
System.Action<KeyEvent> | keyHandler | To be added.
System.Action<MouseEvent> | mouseHandler | To be added.

#### RedrawTop()

##### Declaration

    public override void RedrawTop ();

#### Refresh()

##### Declaration

    public override void Refresh ();

#### SetAttribute(Attribute)

##### Declaration

    public override void SetAttribute (Terminal.Attribute c);

##### Parameters

Type | Name | Description
--- | --- | ---
Attribute | c | To be added.

#### SetColors(ConsoleColor, ConsoleColor)

##### Declaration

    public override void SetColors (ConsoleColor foreground, ConsoleColor background);

##### Parameters

Type | Name | Description
--- | --- | ---
System.ConsoleColor | foreground | To be added.
System.ConsoleColor | background | To be added.

#### SetColors(Int16, Int16)

##### Declaration

    public override void SetColors (short foreColorId, short backgroundColorId);

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int16 | foreColorId | To be added.
System.Int16 | backgroundColorId | To be added.

#### StartReportingMouseMoves()

##### Declaration

    public override void StartReportingMouseMoves ();

#### StopReportingMouseMoves()

##### Declaration

    public override void StopReportingMouseMoves ();

#### Suspend()

##### Declaration

    public override void Suspend ();